## org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.exported
Interface IQueryContext

    public interface IQueryContext

Method Summary
`java.lang.String` `getDerivedTypedElementName()`
`EClassifier` `getExtendedEClass()`
`Facet` `getFacet()`
`EObject` `getIntermediateEObject()`
`IProject` `getProject()`
`Query` `getQuery()`
`Resource` `getResource()`
`EClassifier` `getReturnType()`
`int` `getUpperBound()`

Method Detail

### getResource

    Resource getResource()

### getFacet

    Facet getFacet()

### getDerivedTypedElementName

    java.lang.String getDerivedTypedElementName()

### getIntermediateEObject

    EObject getIntermediateEObject()

### getProject

    IProject getProject()

### getReturnType

    EClassifier getReturnType()

### getUpperBound

    int getUpperBound()

### getExtendedEClass

    EClassifier getExtendedEClass()

### getQuery

    Query getQuery()